package com.fdkankan.ucenter.common.constants;


import com.fdkankan.common.constant.CameraConstant;

public enum ResultCode {


    UPLOAD_ERROR2(500001, "上传失败。文件格式不对"),
    UPLOAD_ERROR(500002, "上传失败。"),
    UPLOAD_ERROR3(500003, "文件不存在！"),
    CAMERA_NOT_EXIT(500004, "相机不存在或未绑定"),
    DIS_COO_ERROR(500005, "解除失败，相机没协作用户"),
    NOT_PER(500006, "权限不足"),
    COO_ERROR(500007, "协作失败，请先解除协作"),
    COO_LIMIT_ERROR(500007, "协作失败，协作数量超过限制"),
    COO_LIMIT_ERROR2(500008, "协作失败，重复协作"),

    USER_NOT_LOGIN(3004, "用户未登录"),
    PARAM_MISS(3001, "参数缺失"),

    SIGN_ERROR(99991, "签名错误"),

    email_submit(500009, "邮件已提交"),
    email_submit_error(500010, "邮件发送失败"),
    USER_EXSIT(500011, "用户已存在"),
    url_exprix(500012, "链接已过期"),


    ;
    private Integer code;
    private String message;

   private ResultCode(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer code() {
        return this.code;
    }

    public String message() {
        return this.message;
    }

    public String formatMessage(Object... args) {
        return String.format(this.message, args);
    }
}
